package com.ss.android.ugc.aweme.services;

import X.C1718MuH;
import X.C4087NrO;
import X.M12;
import X.NBP;
import X.NDS;
import com.bytedance.covode.number.Covode;

public final class InternalRecordServiceImpl$$special$$inlined$singleton$2 extends C1718MuH<NBP> {
    static {
        Covode.recordClassIndex(105090);
    }

    public final NBP get(C4087NrO nrO) {
        M12.LIZ(nrO);
        return new NDS(nrO);
    }
}
